Loading...
Searching...
No Matches
Halide::Internal::Autoscheduler::FunctionDAG::Edge::BoundInfo Struct Reference

`#include <FunctionDAG.h>`

## Public Member Functions

| BoundInfo (const Expr &e, const Node::Stage &consumer, bool dependent)
| BoundInfo (const Expr &e, const Node::Stage &consumer)

## Public Attributes

Expr | expr
int64_t | coeff
int64_t | constant
int64_t | consumer_dim
bool | affine
bool | uses_max
bool | depends_on_estimate

## Detailed Description

Definition at line 527 of file FunctionDAG.h.

## Constructor & Destructor Documentation

## BoundInfo() [1/2]

Halide::Internal::Autoscheduler::FunctionDAG::Edge::BoundInfo::BoundInfo | ( | const Expr & | e,
|  | const Node::Stage & | consumer,
|  | bool | dependent )

References Halide::Internal::Autoscheduler::FunctionDAG::Edge::consumer.

## BoundInfo() [2/2]

Halide::Internal::Autoscheduler::FunctionDAG::Edge::BoundInfo::BoundInfo | ( | const Expr & | e,
|  | const Node::Stage & | consumer )

References Halide::Internal::Autoscheduler::FunctionDAG::Edge::consumer.

## Member Data Documentation

## expr

Expr Halide::Internal::Autoscheduler::FunctionDAG::Edge::BoundInfo::expr

Definition at line 529 of file FunctionDAG.h.

## coeff

int64_t Halide::Internal::Autoscheduler::FunctionDAG::Edge::BoundInfo::coeff

Definition at line 533 of file FunctionDAG.h.

## constant

int64_t Halide::Internal::Autoscheduler::FunctionDAG::Edge::BoundInfo::constant

Definition at line 533 of file FunctionDAG.h.

## consumer_dim

int64_t Halide::Internal::Autoscheduler::FunctionDAG::Edge::BoundInfo::consumer_dim

Definition at line 534 of file FunctionDAG.h.

## affine

bool Halide::Internal::Autoscheduler::FunctionDAG::Edge::BoundInfo::affine

Definition at line 535 of file FunctionDAG.h.

## uses_max

bool Halide::Internal::Autoscheduler::FunctionDAG::Edge::BoundInfo::uses_max

Definition at line 535 of file FunctionDAG.h.

## depends_on_estimate

bool Halide::Internal::Autoscheduler::FunctionDAG::Edge::BoundInfo::depends_on_estimate

Definition at line 535 of file FunctionDAG.h.

The documentation for this struct was generated from the following files:

- src/autoschedulers/adams2019/FunctionDAG.h
- src/autoschedulers/anderson2021/FunctionDAG.h